[unixODBC] [Диспетчер драйверов] Не могу открыть lib '/opt/microsoft/msodbcsql17/lib64/libmsodbcsql-17.1.so.0.1

757
Jake He

Я пытаюсь запустить программу командной строки Windows, которая использует ODBC для подключения к удаленному серверу MSSQL. Он отлично работает в Windows 10. Теперь я хочу запустить ту же программу в Linux, используя Wine. Я установил unixODBC. ODBC-соединение работает нормально. Я могу подключиться к удаленному серверу MSSQL с помощью isqlкоманды.

Но когда я запускаю свою программу Windows, используя Wine. Я получаю этот журнал ошибок. Что я должен делать?

[unixODBC][Driver Manager]Can't open lib'/opt/microsoft/msodbcsql17/lib64/libmsodbcsql-17.1.so.0.1

cat /etc/odbcinst.ini [ODBC Driver 17 for SQL Server] Description=Microsoft ODBC Driver 17 for SQL Server Driver=/opt/microsoft/msodbcsql17/lib64/libmsodbcsql-17.1.so.0.1 UsageCount=1 Trace = Yes TraceFile = /var/log/odbc.log 

Этот файл существует. Все зависимости тоже есть.

 ldd /opt/microsoft/msodbcsql17/lib64/li linux-vdso.so.1 (0x00007ffd623d5000) libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f6221cd4000) librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f6221acc000) libodbcinst.so.2 => /usr/lib/x86_64-linux-gnu/libodbcinst.so.2 (0x00007f62218b7000) libcrypto.so.1.0.2 => /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.2 (0x00007f6221453000) libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007f6221179000) libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007f6220f2e000) libcurl.so.4 => /usr/lib/x86_64-linux-gnu/libcurl.so.4 (0x00007f6220cae000) libssl.so.1.0.2 => /usr/lib/x86_64-linux-gnu/libssl.so.1.0.2 (0x00007f6220a45000) libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f6220840000) libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f62204be000) libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f62201ba000) libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f621ffa3000) libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f621fd86000) libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f621f9e7000) /lib64/ld-linux-x86-64.so.2 (0x00007f62222e6000) libltdl.so.7 => /usr/lib/x86_64-linux-gnu/libltdl.so.7 (0x00007f621f7dd000) libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007f621f5aa000) libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007f621f3a6000) libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007f621f19a000) libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007f621ef96000) libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f621ed7f000) libnghttp2.so.14 => /usr/lib/x86_64-linux-gnu/libnghttp2.so.14 (0x00007f621eb59000) libidn2.so.0 => /usr/lib/x86_64-linux-gnu/libidn2.so.0 (0x00007f621e937000) librtmp.so.1 => /usr/lib/x86_64-linux-gnu/librtmp.so.1 (0x00007f621e71a000) libssh2.so.1 => /usr/lib/x86_64-linux-gnu/libssh2.so.1 (0x00007f621e4ee000) libpsl.so.5 => /usr/lib/x86_64-linux-gnu/libpsl.so.5 (0x00007f621e2e0000) liblber-2.4.so.2 => /usr/lib/x86_64-linux-gnu/liblber-2.4.so.2 (0x00007f621e0d1000) libldap_r-2.4.so.2 => /usr/lib/x86_64-linux-gnu/libldap_r-2.4.so.2 (0x00007f621de80000) libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f621dc66000) libunistring.so.0 => /usr/lib/x86_64-linux-gnu/libunistring.so.0 (0x00007f621d94f000) libgnutls.so.30 => /usr/lib/x86_64-linux-gnu/libgnutls.so.30 (0x00007f621d5b6000) libhogweed.so.4 => /usr/lib/x86_64-linux-gnu/libhogweed.so.4 (0x00007f621d381000) libnettle.so.6 => /usr/lib/x86_64-linux-gnu/libnettle.so.6 (0x00007f621d14a000) libgmp.so.10 => /usr/lib/x86_64-linux-gnu/libgmp.so.10 (0x00007f621cec7000) libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007f621cbb7000) libsasl2.so.2 => /usr/lib/x86_64-linux-gnu/libsasl2.so.2 (0x00007f621c99c000) libp11-kit.so.0 => /usr/lib/x86_64-linux-gnu/libp11-kit.so.0 (0x00007f621c737000) libidn.so.11 => /lib/x86_64-linux-gnu/libidn.so.11 (0x00007f621c503000) libtasn1.so.6 => /usr/lib/x86_64-linux-gnu/libtasn1.so.6 (0x00007f621c2f0000) libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f621c0dc000) libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f621bed3000) 
0
`ldd` против этого говорит? Ignacio Vazquez-Abrams 4 года назад 0
Я обновил свой пост с помощью дампа `ldd` Jake He 4 года назад 0
Есть какой-нибудь ответ? есть такая же проблема ... cwhisperer 4 года назад 0

0 ответов на вопрос

Похожие вопросы